/*
 * com.simulogic.dataview -- The Java2D Plotting Framework
 * 
 * Copyright (C) 1999 - 2005 Sergey Missan
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this library; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 *  
 */

package com.simulogic.dataview.actions;

/**
 * ViewAutoScale action implementation
 */
public class ViewAutoScaleAction extends com.simulogic.utils.ActionSupport {

	private com.simulogic.dataview.DataView view;

	/**
	 * Creates new action
	 * 
	 * @param v
	 *            view
	 */
	public ViewAutoScaleAction(com.simulogic.dataview.DataView v) {
		this();
		view = v;
	}

	/**
	 * Creates new action
	 */
	public ViewAutoScaleAction() {
		super(com.simulogic.dataview.ResourceManager.getResource("Auto_Scale"),
				com.simulogic.dataview.ResourceManager.getResource("Auto_scale"));
	}

	/**
	 * Action interface implementation
	 * 
	 * @param evt
	 *            event
	 */
	public void actionPerformed(java.awt.event.ActionEvent evt) {
		view.setScale(view.getStorage().getAutoscaleRectangle(
				view.getScale().getX(),
				view.getScale().getX() + view.getScale().getWidth()));
	}
}